body {
  font-family: Arial, Helvetica, sans-serif;
  margin: 0;
  padding: 0;
  height: 100%;
}
header, footer {
   height: 60px; /* lub auto + padding */
    flex-shrink: 0;
}

body {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  //overflow: hidden; /* zapobiega niepotrzebnym scrollom */
}

main{
    flex-grow: 1;
    overflow: auto; /* jeśli treść maina jest za duża, przewija się tylko main */
    display:flex;
    align-items:center;
    flex-direction:column;
    justify-content:center;
    padding: clamp(32px, 0.7vw, 2rem);
}
.content{
  z-index:1 !important;
}

a,a:visited,a:hover,a:active{
  color:inherit;
  text-decoration:none;
}

.navbar{
    display:flex;
    align-items:baseline;
    justify-content: space-between; /* lub flex-start */
    padding: 1rem 2rem;
    z-index:5;
    position: relative;
}

.logo img {
  height: 40px; /* skalowanie logo */
  width: auto;
}

.nav-links {
  list-style: none;
  display: flex;
  gap: 20px;
}

.burger-icon{
  display:none;
}

@media (max-width: 600px){
  .nav-links{
    display:none;
  }
  .burger-icon{
    display:block;
  }

  .mobile-menu{
    position:absolute
  }
  .navbar{ 
    align-items:center !important;
  
  }

}

.nav-links li a {
  text-decoration: none;
  color: black;
  font-weight: 500;
  list-style-type:none;
}

.nav-link.active {
  color: #FF4200;
}

.logo span {
  font-size: 40px;
  /* font-weight: bold; */
  color: #FF4200;
}

.logo span a {
  -webkit-tap-highlight-color: transparent;
  outline: none;
  user-select: none;
}


.home-content{
  display: flex;
  flex-direction: column;
  align-items: center;
  align-content: center;
  text-align:center;
  max-width:1100px;
}

.home-content h1{
  font-size: clamp(20px, 2.5vw, 36px) !important;
  font-weight: 400;
  
}

.home-content p{
  font-size: clamp(14px, 1.4vw, 20px);
  font-weight: 400;
  color:#2F140B;
  padding-bottom:7rem;
}

.about-content{
    display: flex;
    align-content: center;
    align-items: center;
    gap:1rem;
    max-width:80%;
}

.about-picture{
  max-width: 80%;
  height: auto;
  max-height: 80vh;
}

.picture-mobile{
  display:none;
}

@media (max-width: 991px){
  .picture-mobile{
    display:block !important;
  }
  .picture-column{
    display:none !important;
  }
  .about-content{
    max-width:100%;
  }

  
  .about-text{
    font-size: clamp(14px, 2.5vw, 20px) !important;
    /* line-height: clamp(18px,3vw,100%) !important;  */
  }
  .about-picture{
  max-width: 100%;

}
.about-text p:first-of-type{
  /* font-weight:700; */
  padding-bottom:16px;
}
.about-text p:nth-of-type(2){
  /* font-weight:700; */
  padding-top:16px;
}
}

.hidden{
  display:none !important;
}

.about-content h1{
  font-size: clamp(20px, 2.5vw, 36px) !important;
  font-weight:400;
}

.about-text{
    text-align:center;
    display:flex;
    flex-direction:column;
    font-size: clamp(14px, 1.4vw, 24px);
    /* line-height: clamp(24px,1vw,100%); */
}
.about-text h1{
  font-size: clamp(20px, 2.5vw, 36px) !important;
}
.about-text p:first-of-type{
  /* font-weight:700; */
  
}

.column{
    flex: 1; /* obie kolumny mają równo 50% */
    display: flex;
    align-items: center;     /* wertykalne wyśrodkowanie */
    justify-content: center; /* horyzontalne wyśrodkowanie */
    box-sizing: border-box;
    flex-direction:column;
}

.picture-column{
    flex: 1; /* obie kolumny mają równo 50% */
    display: flex;
    align-items: center;     /* wertykalne wyśrodkowanie */
    justify-content: center; /* horyzontalne wyśrodkowanie */
    box-sizing: border-box;
    flex-direction:column;
}

.support-content{
    position: absolute;
    top: 0;
    left: 0;
    text-align: center;
    width: 100vw;
    margin-top: 10%;
    display: flex;
    flex-direction: column;
    align-items: center;
    z-index:2;

  /* display:flex;
  flex-direction:column;
  align-items:center; */
}



.support-content h1{
  font-size:clamp(20px, 2.5vw, 36px) !important;
  font-weight:400;
}

.support-content p{
  text-align:center;
  font-size: clamp(14px, 1.4vw, 20px);
  font-weight:400;
  /* line-height: 24px; */
  max-width: 80%;
}

.support-content p span{ 
  font-size: clamp(14px, 1.4vw, 20px);
}

.support-content-columns{
  display:flex;
  flex-direction:row;
  width:80vw;
  margin-top: 2rem;
  gap:5%;
}



.support-column{
  width:50%;
  display:flex;
  flex-direction:column;
  text-align:left;
  padding-left:10%;
}

@media (max-width: 1100px){
  .support-content-columns{
    display:flex;
    flex-direction:column;
    align-items: center;
  }
  .support-column{
    text-align:center;
    width:100%;
     padding-left:0%;
  }
  
  details summary {
    justify-content:center;
  }

  summary {
    -webkit-tap-highlight-color: transparent;
    outline: none;
    user-select: none;
  }

  summary:focus {
    outline: none;
  }

  .support-column{
    text-align:left;
  }

  .support-content h1{
    margin-top:5rem;
  }

  .support-content p{
    width: 85%;
  }

  /* .support-content h1{
  font-size:28px;
} */

.support-content p{
  text-align:center;
  font-size: clamp(14px, 2.5vw, 24px) !important;
  
}

}


details summary {
  list-style: none;         /* Ukrywa domyślną strzałkę */
  cursor: pointer;
  position: relative;
  display: inline;
  font-size: 20px;
  font-weight:400;
  display:flex;
  gap:0.5rem;
  align-items:center;
}

details summary::after {
  white-space: nowrap;
  font-size:1.8rem;
  content: " +";             /* Domyślnie znak + */
  
}

details{
  font-size:clamp(14px, 1.8vw, 20px) !important;
  font-weight:400;
  margin-bottom:10px;
}



details[open] summary::after {
  font-size:1.8rem;
  content: " −";             /* Po rozwinięciu znak - */
}

details[open] summary{
  font-weight: bold;
}

@media (max-width: 600px){
  details ol li{
    text-align:left;
  }
  .support-content-columns{
    padding-bottom:3rem;
    width:95vw;
  }

  details summary {
    font-size:20px;
  }
}

.connect-content{
  display:flex;
  flex-direction:column;
  text-align:center;
}

.connect-content h1{
  font-size: clamp(20px, 2.5vw, 36px) !important;
  font-weight:400;
}

.connect-content p{
  font-size: clamp(14px, 1.8vw, 20px) !important;
  font-weight:400;
  text-decoration:none !important;
  color: black !important
}

.mobile-menu{
  display:none;
}

@media (max-width: 600px){

  .connect-content h1{
  font-size: clamp(20px, 2.5vw, 36px) !important;
  font-weight:400;
}

.connect-content p{
  font-size:18px;
  font-weight:400;
  padding-bottom:5rem;
}

  .mobile-menu{
    display:block;
    height:100vh;
    width:100vw;
    position:fixed;
    z-index:69;
    left:0;
    top:0;
    overflow-x:hidden;
    background-color:#FF4200;
    
  }

  .nav-links-mobile{
    list-style: none;
    display: flex;
    flex-direction:column;
    gap: 2rem;
    justify-connect:center;
    align-items:center;
    padding-top:15%;
    padding-left: 0; 
    font-size: 1.5rem;
  }

  .nav-links-mobile li a {
    text-decoration: none;
    color: white;
    font-weight: 500;
    list-style-type:none;
    font-size:24px;
    font-weight:400;
  }

  .nav-link.active {
    font-weight:700;
    color:white;
  }

  .logo-mobile{
    display:flex;
    flex-direction:row;
    justify-content: space-between;
    align-items: center;
    padding:1rem 2rem;
  }

  .logo-mobile span {
    font-size: 40px;
    /* font-weight: bold; */
    color: white;
  }

}